using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Dynamic;
using System.Text;
using Domain;
using Dao;
using RestSharp;

namespace Service.Implement
{
    public class CarbonVIPManager: GenericManagerBase<CarbonScene>, ICarbonVIPMananger
	{
        private static log4net.ILog logger = log4net.LogManager.GetLogger(typeof(CarbonVIPManager));
        public int Add(CarbonScene test)
        {
            return ((Dao.ICarbonScene_SetRepository)(this.CurrentRepository)).Add(test);
        }

        public new void Update(CarbonScene n)
        {
            ((Dao.ICarbonScene_SetRepository)(this.CurrentRepository)).Update(n);
        }


        public CarbonScene GetByID(int hostid)
        {
            var CarbonVIP= ((Dao.ICarbonScene_SetRepository)(this.CurrentRepository)).GetDataBy(hostid);
            return CarbonVIP;
        }
    }
}
